Replace a real estate agent
curl --request PUT \
--url https://backend.tensorpix.ai/api/v2/real-estate/agents/{agent_id}/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"contact_number": "<string>",
"contact_email": "jsmith@example.com"
}
'import requests
url = "https://backend.tensorpix.ai/api/v2/real-estate/agents/{agent_id}/"
payload = {
"first_name": "<string>",
"last_name": "<string>",
"contact_number": "<string>",
"contact_email": "jsmith@example.com"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
last_name: '<string>',
contact_number: '<string>',
contact_email: 'jsmith@example.com'
})
};
fetch('https://backend.tensorpix.ai/api/v2/real-estate/agents/{agent_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"full_name": "<string>",
"profile_photo": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"file": "<string>",
"thumbnail": "<string>",
"external_url": "<string>",
"width": 123,
"height": 123,
"file_size": 123,
"tags": [
"<string>"
],
"name_tag": "<string>"
},
"first_name": "<string>",
"last_name": "<string>",
"contact_number": "<string>",
"contact_email": "jsmith@example.com"
}{
"detail": "<unknown>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Real Estate Branding
Replace a real estate agent
Replace the editable fields of one owned reusable real estate agent.
PUT
/
api
/
v2
/
real-estate
/
agents
/
{agent_id}
/
Replace a real estate agent
Authorizations
tokenAuthjwtAuth
Token-based authentication with required prefix "Token"
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
Validate and serialize one reusable real-estate agent.
Datetime when the record was created.
Datetime when the record was last updated.
Return the normalized non-empty name parts separated by one space.
Serializer for ImageAsset with basic fields.
Show child attributes
Show child attributes
Maximum string length:
20Maximum string length:
26Maximum string length:
30Maximum string length:
40Was this page helpful?